> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mezmo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add prebuilt pipeline to account

> Creates a new pipeline in the account that is prebuilt



## OpenAPI

````yaml /pipeline.yaml post /pipeline/pre-built
openapi: 3.1.0
info:
  title: Pipeline API
  description: API for the Pipeline product
  version: 3.345.5
servers:
  - url: https://api.mezmo.com/v3
security:
  - PipelineServiceKey: []
tags:
  - name: Internal
    description: Routes not accessible by outside users
  - name: Experimental
    description: Experimental routes, not intended for public consumption
  - name: Account
    description: Perform account level actions
  - name: Alerting
    description: API to control alerts on pipelines
  - name: Data Classification & Profiling
    description: API for classifying and profiling data
  - name: Edge - Local Deploy
    description: User routes that are available to use with local Edge instances
  - name: Incident Mode
    description: Change or read state of pipeline (incident mode on/off)
  - name: Log Volume Reduction
    description: CRUD operations for log volume reduction
  - name: Metrics
    description: Usage metrics for pipelines
  - name: Pipeline Export
    description: Export pipeline to terraform
  - name: Pipeline Management
    description: CRUD Operations for pipeline
  - name: Pipeline Nodes
    description: CRUD operations for sources, processors, and destinations
  - name: Processor Groups
    description: CRUD operations for Processor Groups
  - name: Shared Sources
    description: Create and manage sources for use across multiple pipelines
  - name: Sampling and Simulation
    description: >-
      Create samples of data and run them through a simulated pipeline without
      affecting your published pipeline
externalDocs:
  url: https://docs.mezmo.com/pipeline-api
paths:
  /pipeline/pre-built:
    post:
      tags:
        - Pipeline Management
      summary: Add prebuilt pipeline to account
      description: Creates a new pipeline in the account that is prebuilt
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                origin:
                  type: string
                  enum:
                    - ui
                    - system
                  default: system
                requested_types:
                  type: array
                  items:
                    type: string
                    enum:
                      - DEMO
                      - OTEL
                      - OTELLOGS
                  minItems: 1
                metadata:
                  type: object
                  properties:
                    userFullName:
                      type: string
                      minLength: 1
                      maxLength: 200
                    baseUrl:
                      type: string
                      minLength: 1
                      maxLength: 200
                  required:
                    - userFullName
                    - baseUrl
              required:
                - requested_types
                - metadata
        required: true
      responses:
        '200':
          description: Default Response
components:
  securitySchemes:
    PipelineServiceKey:
      type: apiKey
      name: Authorization
      in: header
      description: 'Enter your token in the format: Token mytokengoeshere'

````